Bug 26673 - NetworkManager WPA3 support
Summary: NetworkManager WPA3 support
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26674
  Show dependency treegraph
 
Reported: 2020-05-23 10:30 CEST by Thomas Backlund
Modified: 2020-05-31 00:16 CEST (History)
4 users (show)

See Also:
Source RPM: networkmanager
CVE:
Status comment:


Attachments
Installed and available packages (5.10 KB, text/plain)
2020-05-27 20:03 CEST, Ulrich Beckmann
Details

Description Thomas Backlund 2020-05-23 10:30:09 CEST
This update comes because I needed to be able to connect to WPA3 secured wireless network. I have already tested here with Gnome that WPA3 works (and alos that WPA2 networks still works...)

For testers... testing that your wireless (and wired if you are using networkmanager) still works with theese packages


Advisory:
This updates NetworkMaagager, networkmanaager-applet to support WPA3 / SAE protected wireless connections.
gnome-control-center and gnome-shell have been fixed to show the connections as WPA3




SRPMS:
networkmanager-1.18.6-1.2.mga7.src.rpm
networkmanager-applet-1.8.24-1.mga7.src.rpm
gnome-control-center-3.32.1-2.2.mga7.src.rpm
gnome-shell-3.32.1-2.1.mga7.src.rpm



i586:
networkmanager-1.18.6-1.2.mga7.i586.rpm
networkmanager-adsl-1.18.6-1.2.mga7.i586.rpm
networkmanager-bluetooth-1.18.6-1.2.mga7.i586.rpm
networkmanager-team-1.18.6-1.2.mga7.i586.rpm
networkmanager-wifi-1.18.6-1.2.mga7.i586.rpm
networkmanager-wwan-1.18.6-1.2.mga7.i586.rpm
networkmanager-ppp-1.18.6-1.2.mga7.i586.rpm
networkmanager-tui-1.18.6-1.2.mga7.i586.rpm
libnm0-1.18.6-1.2.mga7.i586.rpm
libnm-devel-1.18.6-1.2.mga7.i586.rpm
libnm-util2-1.18.6-1.2.mga7.i586.rpm
libnm-gir1.0-1.18.6-1.2.mga7.i586.rpm
libnetworkmanager-gir1.0-1.18.6-1.2.mga7.i586.rpm
libnm-util-devel-1.18.6-1.2.mga7.i586.rpm
libnm-glib4-1.18.6-1.2.mga7.i586.rpm
libnmclient-gir1.0-1.18.6-1.2.mga7.i586.rpm
libnm-glib-devel-1.18.6-1.2.mga7.i586.rpm
libnm-glib-vpn1-1.18.6-1.2.mga7.i586.rpm
libnm-glib-vpn-devel-1.18.6-1.2.mga7.i586.rpm

networkmanager-applet-1.8.24-1.mga7.i586.rpm
libnm-gtk0-1.8.24-1.mga7.i586.rpm
libnmgtk-gir1.0-1.8.24-1.mga7.i586.rpm
libnm-gtk-devel-1.8.24-1.mga7.i586.rpm
libnma0-1.8.24-1.mga7.i586.rpm
libnma-gir1.0-1.8.24-1.mga7.i586.rpm
libnma-devel-1.8.24-1.mga7.i586.rpm

gnome-control-center-3.32.1-2.2.mga7.i586.rpm
gnome-keybindings-devel-3.32.1-2.2.mga7.noarch.rpm

gnome-shell-3.32.1-2.1.mga7.i586.rpm



x86_64:
networkmanager-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-adsl-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-bluetooth-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-team-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-wifi-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-wwan-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-ppp-1.18.6-1.2.mga7.x86_64.rpm
networkmanager-tui-1.18.6-1.2.mga7.x86_64.rpm
lib64nm0-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-devel-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-util2-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-gir1.0-1.18.6-1.2.mga7.x86_64.rpm
lib64networkmanager-gir1.0-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-util-devel-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-glib4-1.18.6-1.2.mga7.x86_64.rpm
lib64nmclient-gir1.0-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-glib-devel-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-glib-vpn1-1.18.6-1.2.mga7.x86_64.rpm
lib64nm-glib-vpn-devel-1.18.6-1.2.mga7.x86_64.rpm

networkmanager-applet-1.8.24-1.mga7.x86_64.rpm
lib64nm-gtk0-1.8.24-1.mga7.x86_64.rpm
lib64nmgtk-gir1.0-1.8.24-1.mga7.x86_64.rpm
lib64nm-gtk-devel-1.8.24-1.mga7.x86_64.rpm
lib64nma0-1.8.24-1.mga7.x86_64.rpm
lib64nma-gir1.0-1.8.24-1.mga7.x86_64.rpm
lib64nma-devel-1.8.24-1.mga7.x86_64.rpm

gnome-control-center-3.32.1-2.2.mga7.x86_64.rpm
gnome-keybindings-devel-3.32.1-2.2.mga7.noarch.rpm

gnome-shell-3.32.1-2.1.mga7.x86_64.rpm
Thomas Backlund 2020-05-23 10:35:56 CEST

Blocks: (none) => 26674

Comment 1 Thomas Backlund 2020-05-24 19:14:24 CEST
Advisory, added to svn:

type: bugfix
subject: Updated networkmanager packages adds WPA3 support
src:
  7:
   core:
     - networkmanager-1.18.6-1.2.mga7
     - networkmanager-applet-1.8.24-1.mga7
     - gnome-control-center-3.32.1-2.2.mga7
     - gnome-shell-3.32.1-2.1.mga7
description: |
  This update provides networkmanager 1.18.6 and networkmanager-applet
  1.8.24. It also adds support for connecting to WPA3 / SAE protected
  wireless networks.

  gnome-control-center and gnome-shell have been fixed to correctly
  identify the connections as WPA3.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=26673

Whiteboard: (none) => advisory

Comment 2 Herman Viaene 2020-05-26 14:19:56 CEST
MGA7-64 Plasma on Lenovo B50.
Omitted the devel and gnome packages from installing.
Not sure how to test this.
After installation my Wifi connection was OK.
Tried at CLI nmcli and nm-online but these reported network manager not running.
Leafing thru older bugs made me try
systemctl start Networkmanager.service
That immediately cut my Wifi connection and the apllet remained at "connecting".
So gave up on it, rebooted and all was fine again.

CC: (none) => herman.viaene

Comment 3 Ulrich Beckmann 2020-05-27 20:03:36 CEST
Created attachment 11662 [details]
Installed and available packages

I have networkmanager installed and wireless running on a Mga7 test installation. No regression found. Tested with KDE Plasma and plasma-applet-nm.

Please note: Router does neither support WPA3, nor does the brazilian provider support ipv6.

Installed networkmanager following
https://forums.mageia.org/en/viewtopic.php?f=25&t=5782

Best regards,
Ulrich

CC: (none) => bequimao.de

Comment 4 Thomas Andrews 2020-05-31 00:16:03 CEST
Since tmb indicated in Comment 0 that testers were to check that their existing connections still worked, Ulrich's test should be sufficient. Giving it the OK. Validating, and moving the advisory notice from the whiteboard to Keywords.

CC: (none) => andrewsfarm, sysadmin-bugs
Whiteboard: advisory => MGA7-64-OK
Keywords: (none) => advisory, validated_update


Note You need to log in before you can comment on or make changes to this bug.